{%extends 'Base/base.html'%}
{%load static%}
{%block title%}Sign In{%endblock%}
{% load crispy_forms_tags %}
{%load socialaccount%}
{%providers_media_js%}

{%block content%}
<div class="container">
    <div class="content-section">
        <form method="POST">
            {% csrf_token %}
            <fieldset class="form-group">
                <h1 style="text-align: center;">Sign In!</h1>                    
                {{form|crispy}}
            </fieldset>
            <div class="form-group" >
                <button class="btn btn-outline-dark" type="submit">Sign In</button>
            </div>
        </form>
        <p>or Sign In with your</p>
        <button class="btn btn-outline-dark"><a href="{%provider_login_url "google" %}" style="text-decoration: none;">Google Account</a></button>
        <div class="border-top pt-3">
            <medium class="text-muted">
                Already have an account? <a class="ml-2" href="{%url 'LogIn' %}">Log In</a>
            </medium>
        </div>
    </div>
</div>

{%endblock%}